##### 7.5.20.0. UpOneMatrix

Procedure from library `nctools.lib` (see nctools_lib).

Usage:
  UpOneMatrix(n); n an integer

Return:
  intmat

Purpose:
  compute an n x n matrix with 1's in the whole upper triangle

Note:
  helpful for setting noncommutative algebras with complicated coefficient matrices

Example:

    LIB "nctools.lib";
    ring   r = (0,q),(x,y,z),dp;
    matrix C = UpOneMatrix(3);
    C[1,3]   = q;
    print(C);
    ==> 0,1,(q),
    ==> 0,0,1,
    ==> 0,0,0
    def S = nc_algebra(C,0); setring S;
    S;
    ==> // coefficients: QQ(q) considered as a field
    ==> // number of vars : 3
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y z
    ==> //        block   2 : ordering C
    ==> // noncommutative relations:
    ==> //    zx=(q)*xz

User manual for Singular version 4.4.1, 2025, generated by texi2html.